/****************************************************************************************

		ComTypes.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		3D COM Base types definition

		Author:	Ray Dream
		Date:	3/2/98

		Revision History

		when		who			what & why
		==========	==========	======================================================
		11/16/98	Craig		#define Double double ==> typedef double Double to
								avoid conflict with TQuatMath::Double() in MCUtils
		9/24/98		psq			removed dependency on APITypes.h

*****************************************************************************************/
#ifndef __COMTYPES__
#define __COMTYPES__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCOSConfig.h"
#include "MCCompObj.h"

#ifndef IDTYPE
#define IDTYPE(x,y,z,t) ((int32)((((int32)x)<<24)|(((int32)y)<<16)|(((int32)z)<<8)|((int32)t)))
#endif

enum ECloneMode
{ 
	/// kNoAnim means that the animation data will not be copied. When you
	/// set a component on another this means that only the state at the current time
	/// will be changed. In this case, keyframes will be created at the current time.
	kNoAnim,

	/// kWithAnim means that the animation data will be copied. When you set
	/// a component on another this means that the new component will completely
	/// take the place of the old one.
	kWithAnim
};



#endif
